> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stocks & Funds Screener

> The Company Screener API enables advanced filtering and discovery of companies based on comprehensive financial and descriptive criteria. 

Filter companies by market capitalization, stock price, beta, trading volume, dividend yield, sector, industry, country, exchange, 
and trading status. Perfect for investment research, portfolio construction, and market analysis.




## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/company-screener/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/company-screener/query:
    post:
      tags:
        - Company & Events
      summary: Stocks & Funds Screener
      description: >
        The Company Screener API enables advanced filtering and discovery of
        companies based on comprehensive financial and descriptive criteria. 


        Filter companies by market capitalization, stock price, beta, trading
        volume, dividend yield, sector, industry, country, exchange, 

        and trading status. Perfect for investment research, portfolio
        construction, and market analysis.
      operationId: query_company_screener_v1_company_screener_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyScreenerQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCompanyScreenerResponse'
components:
  schemas:
    CompanyScreenerQuery:
      properties:
        filters:
          anyOf:
            - $ref: '#/components/schemas/CompanyScreenerFilters'
            - type: 'null'
          description: Object specifying the filters to apply to the request.
          examples:
            - is_actively_trading: true
              market_cap_more_than: 1000000000
              price_more_than: 10
              sector: Technology
        limit:
          type: integer
          maximum: 1000
          minimum: 1
          title: Limit
          description: Maximum number of records to return (1-1000).
          default: 100
          examples:
            - 100
      type: object
      title: CompanyScreenerQuery
      description: >-
        Allows filtering companies based on various financial and descriptive
        criteria.
    PublicCompanyScreenerResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/ScreenedCompany'
          type: array
          title: Results
          description: List of companies matching the screening criteria.
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicCompanyScreenerResponse
      description: Response model for the Company Screener service.
    CompanyScreenerFilters:
      properties:
        market_cap_more_than:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Market Cap More Than
          description: Minimum market capitalization in USD.
          examples:
            - 1000000000
        market_cap_lower_than:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Market Cap Lower Than
          description: Maximum market capitalization in USD.
          examples:
            - 10000000000
        price_more_than:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Price More Than
          description: Minimum stock price in USD.
          examples:
            - 10
        price_lower_than:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Price Lower Than
          description: Maximum stock price in USD.
          examples:
            - 200
        beta_more_than:
          anyOf:
            - type: number
            - type: 'null'
          title: Beta More Than
          description: Minimum beta value.
          examples:
            - 0.5
        beta_lower_than:
          anyOf:
            - type: number
            - type: 'null'
          title: Beta Lower Than
          description: Maximum beta value.
          examples:
            - 2
        volume_more_than:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Volume More Than
          description: Minimum trading volume.
          examples:
            - 1000000
        volume_lower_than:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Volume Lower Than
          description: Maximum trading volume.
          examples:
            - 10000000
        dividend_more_than:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Dividend More Than
          description: Minimum annual dividend in USD.
          examples:
            - 0.1
        dividend_lower_than:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Dividend Lower Than
          description: Maximum annual dividend in USD.
          examples:
            - 5
        is_etf:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Etf
          description: Whether to include ETFs in the results.
          examples:
            - false
        is_fund:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fund
          description: Whether to include mutual funds in the results.
          examples:
            - false
        is_actively_trading:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Actively Trading
          description: Whether to include only actively trading stocks.
          examples:
            - true
        sector:
          anyOf:
            - $ref: '#/components/schemas/Sector'
            - type: string
            - type: 'null'
          title: Sector
          description: Sector of the company.
          examples:
            - Technology
        industry:
          anyOf:
            - $ref: '#/components/schemas/Industry'
            - type: string
            - type: 'null'
          title: Industry
          description: Industry of the company.
          examples:
            - Semiconductors
        country:
          anyOf:
            - type: string
              enum:
                - AW
                - AF
                - AO
                - AI
                - AX
                - AL
                - AD
                - AE
                - AR
                - AM
                - AS
                - AQ
                - TF
                - AG
                - AU
                - AT
                - AZ
                - BI
                - BE
                - BJ
                - BQ
                - BF
                - BD
                - BG
                - BH
                - BS
                - BA
                - BL
                - BY
                - BZ
                - BM
                - BO
                - BR
                - BB
                - BN
                - BT
                - BV
                - BW
                - CF
                - CA
                - CC
                - CH
                - CL
                - CN
                - CI
                - CM
                - CD
                - CG
                - CK
                - CO
                - KM
                - CV
                - CR
                - CU
                - CW
                - CX
                - KY
                - CY
                - CZ
                - DE
                - DJ
                - DM
                - DK
                - DO
                - DZ
                - EC
                - EG
                - ER
                - EH
                - ES
                - EE
                - ET
                - FI
                - FJ
                - FK
                - FR
                - FO
                - FM
                - GA
                - GB
                - GE
                - GG
                - GH
                - GI
                - GN
                - GP
                - GM
                - GW
                - GQ
                - GR
                - GD
                - GL
                - GT
                - GF
                - GU
                - GY
                - HK
                - HM
                - HN
                - HR
                - HT
                - HU
                - ID
                - IM
                - IN
                - IO
                - IE
                - IR
                - IQ
                - IS
                - IL
                - IT
                - JM
                - JE
                - JO
                - JP
                - KZ
                - KE
                - KG
                - KH
                - KI
                - KN
                - KR
                - KW
                - LA
                - LB
                - LR
                - LY
                - LC
                - LI
                - LK
                - LS
                - LT
                - LU
                - LV
                - MO
                - MF
                - MA
                - MC
                - MD
                - MG
                - MV
                - MX
                - MH
                - MK
                - ML
                - MT
                - MM
                - ME
                - MN
                - MP
                - MZ
                - MR
                - MS
                - MQ
                - MU
                - MW
                - MY
                - YT
                - NA
                - NC
                - NE
                - NF
                - NG
                - NI
                - NU
                - NL
                - 'NO'
                - NP
                - NR
                - NZ
                - OM
                - PK
                - PA
                - PN
                - PE
                - PH
                - PW
                - PG
                - PL
                - PR
                - KP
                - PT
                - PY
                - PS
                - PF
                - QA
                - RE
                - RO
                - RU
                - RW
                - SA
                - SD
                - SN
                - SG
                - GS
                - SH
                - SJ
                - SB
                - SL
                - SV
                - SM
                - SO
                - PM
                - RS
                - SS
                - ST
                - SR
                - SK
                - SI
                - SE
                - SZ
                - SX
                - SC
                - SY
                - TC
                - TD
                - TG
                - TH
                - TJ
                - TK
                - TM
                - TL
                - TO
                - TT
                - TN
                - TR
                - TV
                - TW
                - TZ
                - UG
                - UA
                - UM
                - UY
                - US
                - UZ
                - VA
                - VC
                - VE
                - VG
                - VI
                - VN
                - VU
                - WF
                - WS
                - YE
                - ZA
                - ZM
                - ZW
            - type: 'null'
          title: Country
          description: Country code of the company (ISO 3166-1 alpha-2).
          examples:
            - US
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
          description: Exchange code of the company.
          examples:
            - NASDAQ
      type: object
      title: CompanyScreenerFilters
      description: Filters for the company screener request.
    ScreenedCompany:
      properties:
        rp_entity_id:
          type: string
          maxLength: 6
          minLength: 6
          title: Rp Entity Id
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
        symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol
          description: The stock symbol of the company.
          examples:
            - AAPL
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
          description: The name of the company.
          examples:
            - Apple Inc.
        market_cap:
          anyOf:
            - type: integer
            - type: 'null'
          title: Market Cap
          description: The market cap of the company.
          examples:
            - 3000000000000
        sector:
          anyOf:
            - $ref: '#/components/schemas/Sector'
            - type: string
            - type: 'null'
          title: Sector
          description: The sector of the company.
          examples:
            - Technology
        industry:
          anyOf:
            - $ref: '#/components/schemas/Industry'
            - type: string
            - type: 'null'
          title: Industry
          description: The industry of the company.
          examples:
            - Consumer Electronics
        beta:
          anyOf:
            - type: number
            - type: 'null'
          title: Beta
          description: The beta of the company.
          examples:
            - 1.2
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
          description: The current price of the company.
          examples:
            - 170.5
        last_annual_dividend:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Annual Dividend
          description: The last annual dividend of the company.
          examples:
            - 0.92
        volume:
          anyOf:
            - type: integer
            - type: 'null'
          title: Volume
          description: The trading volume of the company.
          examples:
            - 75000000
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
          description: The exchange of the company.
          examples:
            - NASDAQ
        exchange_short_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange Short Name
          description: The short name of the exchange.
          examples:
            - NASDAQ
        country:
          anyOf:
            - type: string
              enum:
                - AW
                - AF
                - AO
                - AI
                - AX
                - AL
                - AD
                - AE
                - AR
                - AM
                - AS
                - AQ
                - TF
                - AG
                - AU
                - AT
                - AZ
                - BI
                - BE
                - BJ
                - BQ
                - BF
                - BD
                - BG
                - BH
                - BS
                - BA
                - BL
                - BY
                - BZ
                - BM
                - BO
                - BR
                - BB
                - BN
                - BT
                - BV
                - BW
                - CF
                - CA
                - CC
                - CH
                - CL
                - CN
                - CI
                - CM
                - CD
                - CG
                - CK
                - CO
                - KM
                - CV
                - CR
                - CU
                - CW
                - CX
                - KY
                - CY
                - CZ
                - DE
                - DJ
                - DM
                - DK
                - DO
                - DZ
                - EC
                - EG
                - ER
                - EH
                - ES
                - EE
                - ET
                - FI
                - FJ
                - FK
                - FR
                - FO
                - FM
                - GA
                - GB
                - GE
                - GG
                - GH
                - GI
                - GN
                - GP
                - GM
                - GW
                - GQ
                - GR
                - GD
                - GL
                - GT
                - GF
                - GU
                - GY
                - HK
                - HM
                - HN
                - HR
                - HT
                - HU
                - ID
                - IM
                - IN
                - IO
                - IE
                - IR
                - IQ
                - IS
                - IL
                - IT
                - JM
                - JE
                - JO
                - JP
                - KZ
                - KE
                - KG
                - KH
                - KI
                - KN
                - KR
                - KW
                - LA
                - LB
                - LR
                - LY
                - LC
                - LI
                - LK
                - LS
                - LT
                - LU
                - LV
                - MO
                - MF
                - MA
                - MC
                - MD
                - MG
                - MV
                - MX
                - MH
                - MK
                - ML
                - MT
                - MM
                - ME
                - MN
                - MP
                - MZ
                - MR
                - MS
                - MQ
                - MU
                - MW
                - MY
                - YT
                - NA
                - NC
                - NE
                - NF
                - NG
                - NI
                - NU
                - NL
                - 'NO'
                - NP
                - NR
                - NZ
                - OM
                - PK
                - PA
                - PN
                - PE
                - PH
                - PW
                - PG
                - PL
                - PR
                - KP
                - PT
                - PY
                - PS
                - PF
                - QA
                - RE
                - RO
                - RU
                - RW
                - SA
                - SD
                - SN
                - SG
                - GS
                - SH
                - SJ
                - SB
                - SL
                - SV
                - SM
                - SO
                - PM
                - RS
                - SS
                - ST
                - SR
                - SK
                - SI
                - SE
                - SZ
                - SX
                - SC
                - SY
                - TC
                - TD
                - TG
                - TH
                - TJ
                - TK
                - TM
                - TL
                - TO
                - TT
                - TN
                - TR
                - TV
                - TW
                - TZ
                - UG
                - UA
                - UM
                - UY
                - US
                - UZ
                - VA
                - VC
                - VE
                - VG
                - VI
                - VN
                - VU
                - WF
                - WS
                - YE
                - ZA
                - ZM
                - ZW
            - type: 'null'
          title: Country
          description: The country code of the company.
          examples:
            - US
        is_etf:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Etf
          description: Whether the company's stock is an ETF.
          examples:
            - false
        is_actively_trading:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Actively Trading
          description: Whether the company's stock is actively trading.
          examples:
            - true
      type: object
      required:
        - rp_entity_id
        - symbol
        - company_name
        - market_cap
      title: ScreenedCompany
      description: Represents a company returned by the screening service.
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    Sector:
      type: string
      enum:
        - Basic Materials
        - Communication Services
        - Consumer Cyclical
        - Consumer Defensive
        - Energy
        - Financial Services
        - Healthcare
        - Industrials
        - Real Estate
        - Technology
        - Utilities
      title: Sector
      description: Sector enum for public API.
    Industry:
      type: string
      enum:
        - Steel
        - Silver
        - Other Precious Metals
        - Gold
        - Copper
        - Aluminum
        - Paper, Lumber & Forest Products
        - Industrial Materials
        - Construction Materials
        - Chemicals - Specialty
        - Chemicals
        - Agricultural Inputs
        - Telecommunications Services
        - Internet Content & Information
        - Publishing
        - Broadcasting
        - Advertising Agencies
        - Entertainment
        - Travel Lodging
        - Travel Services
        - Specialty Retail
        - Luxury Goods
        - Home Improvement
        - Residential Construction
        - Department Stores
        - Personal Products & Services
        - Leisure
        - Gambling, Resorts & Casinos
        - Furnishings, Fixtures & Appliances
        - Restaurants
        - Auto - Parts
        - Auto - Manufacturers
        - Auto - Recreational Vehicles
        - Auto - Dealerships
        - Apparel - Retail
        - Apparel - Manufacturers
        - Apparel - Footwear & Accessories
        - Packaging & Containers
        - Tobacco
        - Grocery Stores
        - Discount Stores
        - Household & Personal Products
        - Packaged Foods
        - Food Distribution
        - Food Confectioners
        - Agricultural Farm Products
        - Education & Training Services
        - Beverages - Wineries & Distilleries
        - Beverages - Non-Alcoholic
        - Beverages - Alcoholic
        - Uranium
        - Solar
        - Oil & Gas Refining & Marketing
        - Oil & Gas Midstream
        - Oil & Gas Integrated
        - Oil & Gas Exploration & Production
        - Oil & Gas Equipment & Services
        - Oil & Gas Energy
        - Oil & Gas Drilling
        - Coal
        - Shell Companies
        - Investment - Banking & Investment Services
        - Insurance - Specialty
        - Insurance - Reinsurance
        - Insurance - Property & Casualty
        - Insurance - Life
        - Insurance - Diversified
        - Insurance - Brokers
        - Financial - Mortgages
        - Financial - Diversified
        - Financial - Data & Stock Exchanges
        - Financial - Credit Services
        - Financial - Conglomerates
        - Financial - Capital Markets
        - Banks - Regional
        - Banks - Diversified
        - Banks
        - Asset Management
        - Asset Management - Bonds
        - Asset Management - Income
        - Asset Management - Leveraged
        - Asset Management - Cryptocurrency
        - Asset Management - Global
        - Medical - Specialties
        - Medical - Pharmaceuticals
        - Medical - Instruments & Supplies
        - Medical - Healthcare Plans
        - Medical - Healthcare Information Services
        - Medical - Equipment & Services
        - Medical - Distribution
        - Medical - Diagnostics & Research
        - Medical - Devices
        - Medical - Care Facilities
        - Drug Manufacturers - Specialty & Generic
        - Drug Manufacturers - General
        - Biotechnology
        - Waste Management
        - Trucking
        - Railroads
        - Aerospace & Defense
        - Marine Shipping
        - Integrated Freight & Logistics
        - Airlines, Airports & Air Services
        - General Transportation
        - Manufacturing - Tools & Accessories
        - Manufacturing - Textiles
        - Manufacturing - Miscellaneous
        - Manufacturing - Metal Fabrication
        - Industrial - Distribution
        - Industrial - Specialties
        - Industrial - Pollution & Treatment Controls
        - Environmental Services
        - Industrial - Machinery
        - Industrial - Infrastructure Operations
        - Industrial - Capital Goods
        - Consulting Services
        - Business Equipment & Supplies
        - Staffing & Employment Services
        - Rental & Leasing Services
        - Engineering & Construction
        - Security & Protection Services
        - Specialty Business Services
        - Construction
        - Conglomerates
        - Electrical Equipment & Parts
        - Agricultural - Machinery
        - Agricultural - Commodities/Milling
        - REIT - Specialty
        - REIT - Retail
        - REIT - Residential
        - REIT - Office
        - REIT - Mortgage
        - REIT - Industrial
        - REIT - Hotel & Motel
        - REIT - Healthcare Facilities
        - REIT - Diversified
        - Real Estate - Services
        - Real Estate - Diversified
        - Real Estate - Development
        - Real Estate - General
        - Information Technology Services
        - Hardware, Equipment & Parts
        - Computer Hardware
        - Electronic Gaming & Multimedia
        - Software - Services
        - Software - Infrastructure
        - Software - Application
        - Semiconductors
        - Media & Entertainment
        - Communication Equipment
        - Technology Distributors
        - Consumer Electronics
        - Renewable Utilities
        - Regulated Water
        - Regulated Gas
        - Regulated Electric
        - Independent Power Producers
        - Diversified Utilities
        - General Utilities
      title: Industry
      description: Industry enum for public API.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````